#include <bits/stdc++.h>
using namespace std;
ifstream f1("bai2_16.inp");
ofstream f2("bai2_16.out");
long long a,b,c,d[1000000],i,j,k=1;
int main()
{
    f1>>a>>b>>c;
    for(i=0;i*a<=c;i++){
        for(j=0;j*b+i*a<=c;j++){
            d[k]=a*i+b*j;
            k++;
        }
    }
    sort(d+1,d+k+1);
    f2<<d[k];
    f1.close();
    f2.close();
}
